function g1=proj_gd2(typ,g2)
% projection of a gd2 on x or y
%
%   g1=proj_gd2(typ,g2)
%
%   typ   =1 on x; =2 on y
%   g2    input g2
%

% Snag Version 2.0 - November 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by Sergio Frasca - ser.fras@gmail.com
% Department of Physics -  Sapienza Rome University


y=no_nan(g2.y);

[nx,ny]=size(y);

switch typ
    case 1
        xx=sum(y');
        inix=ini_gd2(g2);
        dx=dx_gd2(g2);
        g1=gd(xx);
        g1=edit_gd(g1,'ini',inix,'dx',dx);
    case 2
        yy=sum(y);
        iniy=ini2_gd2(g2);
        dy=dx2_gd2(g2);
        g1=gd(yy);
        g1=edit_gd(g1,'ini',iniy,'dx',dy);
    otherwise
        disp(' *** typ ERROR')
end