function g=igd_drawspect
%IGD_DRAWSPECT  interactive access to gd_drawspect
%
%       g=igd_drawspect

% Version 1.0 - October 1999
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% Copyright (C) 1999  Sergio Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Universita` "La Sapienza" - Rome

str={'lorentz'...
      'gauss'...
      'clorentz'...
      'virgo'};
[ptype iok]=listdlg('PromptString','Select a process:',...
   'Name','Drawing a spectrum',...
   'ListSize',[150 150],...
  	'SelectionMode','single',...
   'ListString',str);

typ=str{ptype};

strsing=' ';

if strcmp(typ,'virgo')
   prompt={'dt'...
         'length'...
			'hflat'...
         'hlow'...
         'hhigh'...
         'slope'...
         'lowfr'...
         'comb base frequency ?'...
         'comb amplitude (in units of hflat) ?'...
         'singleside ? (1 or 0)'};
   default={'0.0001' '16384' '10^-24' '10^-18' '2*10^-27'...
         '3' '10' '100' '20' '1'};
   
   answ=inputdlg(prompt,'Parameters of the Virgo spectrum',1,default);
   
   dt=eval(answ{1});
   maxfr=0.5/dt;
   frcomb1=eval(answ{8});
   ncomb=floor(maxfr/frcomb1);
   frcomb=(1:ncomb).*frcomb1;
   hflat=eval(answ{3});
   amp0=eval(answ{9});
   ampcomb=ones(1,ncomb).*(amp0*hflat);
   combw=1;
   
   str=[answ{1}...
         ',' answ{2}...
         ',''virgo'''...
         ',''hflat'',' answ{3}...
         ',''hlow'',' answ{4}...
         ',''hhigh'',' answ{5}...
         ',''slope'',' answ{6}...
         ',''lowfr'',' answ{7}];
   
   if strcmp(answ{10},'1')
      strsing=',''singlesided''';
   end
   
	eval(['g=gd_drawspect(' str strsing ',''addcomb'',combw,frcomb,ampcomb);']);
else
   prompt={'dt'...
         'Length'...
         'Frequency'...
         'Bandwidth'...
         'Amplitude'...
      	'Singlesided ? (1 or 0)}'};
   default={'0.0001' '16384' '1000' '10' '1' '1'};
   
   answ=inputdlg(prompt,'Parameters of the spectrum',1,default);
   
   str=[answ{1}...
         ',' answ{2} ',''' typ ''''...
         ',''frequency'',' answ{3}...
         ',''bandwidth'',' answ{4}...
         ',''amplitude'',' answ{5}];
      
   if strcmp(answ{6},'1')
      strsing=',''singlesided''';
   end

	eval(['g=gd_drawspect(' str strsing ');']);
end