function filnam=NC_filnam(typ,header,runame,ant,band,dats,tail)
% name of NC collections files
%
%   typ     1  DB1 or 2,3,4
%   header  ex.: 'DB1_GC'
%   ant     ex.: 'virgo'               ([] not present)
%   band    [min max]                  ([] not present)
%   dats    other (1 or more numbers)  ([] not present)
%   tail    suffix (if present)

% Snag Version 2.0 - May 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni, S.D'Antonio and S.Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

if ~exist('dats','var')
    dats=[];
end
if ~exist('tail','var')
    tail=[];
end

if ~isempty(ant)   
    switch ant
        case 'ligoh'
            A='H';
        case 'ligol'
            A='L';
        case 'virgo'
            A='V';
    end
end
switch typ
    case 1
        filnam=sprintf('NC1_%s_%s_%s_%04d_%04d',header,runame,A,band(1),band(2));
    case 2
        filnam=sprintf('NC2_%s_%s_%s_%04d_%04d',header,runame,A,band(1),band(2));
    case 3
        filnam=sprintf('NC3_%s_%s_%s',header,runame,tail);
    case 4
        filnam=sprintf('NC4_%s_%s_%s',header,runame,tail);
    otherwise
        filnam=sprintf('file_%d',dats);
end