function out=NC_shift(t,direc,sband,interl,frs,coord)
% NC_shift  shifts for NC computing
%
%    out=NC_shift(t,direc,sband,interl,frs)
%
%   t       times or [tmin,dt,nt]
%   direc   direction structure
%   sband   search band (in 1/SD)
%   interl  interlacing (in 1/SD)
%   frs     frequencies
%   coord   = 0 -> equatorial, = 1 -> ecliptic

% Snag Version 2.0 - May 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni, S.D'Antonio and S.Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

SD=86164.09053083288;
DFR=sband/SD;
out.DFR=DFR;

if ~exist('coord','var')
    coord=0;
end

if length(t) == 3
    t=t(1)+t(2)*(0:t(3)-1);
end

out.t=t;

fr1=doppler_norot(t,frs,direc.a,direc.d,coord);
out.fr1=fr1;
out.kfr=round((fr1-frs)/DFR);