function out=bsd_enlarge(in,enl)
% enlarge frequency domain
%
%   in    input bsd
%   enl   frequency domain enlargement (def 2)

% Snag Version 2.0 - April 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

if ~exist('enl','var')
    enl=2;
end
y=y_gd(in);
n=length(y);
dx=dx_gd(in);

nn=round(n*enl);
y=fft(y);
y(n+1:nn)=0;
y=ifft(y);

out=edit_gd(in,'y',enl*y,'dx',dx/enl);