function out=bsd_freqshift(in,dfr,tref)
% frequency shift for bsd. Shift is rotatory.
%
%   in    input bsd
%   dfr   frequency shift
%   tref  reference time (def 14 sep 2015)

% Snag Version 2.0 - April 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

if ~exist('tref','var')
    tref=v2mjd([2015 9 14]);
end

n=n_gd(in);
y=y_gd(in);
dt=dx_gd(in);
cont=cont_gd(in);
t0=cont.t0;
cont.frshift=dfr;

tt0=diff_mjd(tref,t0);
v=exp(1j*dfr*2*pi*((0:n-1)*dt+tt0)).';

y=v.*y;

out=edit_gd(in,'y',y,'cont',cont);