function [bsd_out,parout,stpar]=bsd_interband_equilego(addr,tab,stpar,modif)
% inter-band reconstruction

% Snag Version 2.0 - December 2018
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S.Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

if ~exist('modif','var')
    modif=[];
end

% st_n=stpar.st_n;
% st_n1=round(2*st_n/stpar.fact);

Nfft=stpar.Nfft;
T_ini=stpar.T_ini;
T_fin=stpar.T_fin;
Dt_max=stpar.Dt_max;
fact=stpar.fact;
st_n1=2*floor(stpar.st_n/fact); % Attention to factor 2 !
dt0=stpar.dt0;
dt1=stpar.dt1;

Nfft2=ceil(Nfft/2);
Nfft1=stpar.lenout;
if1=stpar.if1;
if2=stpar.if2;

% reduce=sqrt(2)/2;
reduce=1/2;
band=stpar.bandout;
bandw=diff(band);
dt=stpar.dt1;
fact=stpar.fact;

% stpar.Nfft=stpar.Nfft*2;

% maxn1=round(maxn*stpar.reddt);
% st_n1=round(st_n*stpar.reddt);

for i = 1:2:stpar.subtab.N
    [in1, name1]=load_tab_bsd(addr,tab,i,modif);   
    parout.stdin1(i)=std(in1);
    in1=edit_gd(in1,'n',Nfft2);
    if stpar.frshift ~= 0
        in1=bsd_freqshift(in1,stpar.frshift,T_ini);
    end
    [in2, name2]=load_tab_bsd(addr,tab,i+1,modif);  
    parout.stdin2(i)=std(in2);
    in2=edit_gd(in2,'n',Nfft2);
    if stpar.frshift ~= 0
        in2=bsd_freqshift(in2,stpar.frshift,T_ini);
    end
    cont=cont_gd(in1);
    stpar.ant=cont.ant;
    stpar.run=cont.run;
    stpar.cal=cont.cal;
    t0=cont.t0;
%     if i == 1
%         t00=t0;
%     end
    tdif=diff_mjd(T_ini,t0);
    ndif=round(tdif/dt0);
    ndif1=ceil(ndif/fact)*fact;
    ddif=round(ndif1-ndif);
    t1=t0+ddif*dt0/86400;
    stpar.t1(i)=t1;
  
    [in1,nsampcut]=bsd_trim(in1,t1);nsampcut,Nfft2
    in1=edit_gd(in1,'n',Nfft2);
    [in2,nsampcut]=bsd_trim(in2,t1);
    in2=edit_gd(in2,'n',Nfft2);
        
    disp((i+1)/2)
    disp(name1)
    disp(name2)
    
    y1=y_gd(in1); 
    y2=y_gd(in2);
    y=fft(y1);
    y(Nfft2+1:2*Nfft2)=fft(y2);
    
    Y=y(if1:if2);
    Y=ifft(Y);
    sb=gd(Y*reduce); 

    cont.inifr=band(1);
    cont.bandw=bandw;
    cont.sb_pars=stpar;

    sb=edit_gd(sb,'dx',dt,'cont',cont);
    ysb=y_gd(sb);
    ysb(st_n1(i):Nfft1)=0;
    sb=edit_gd(sb,'y',ysb);

    sb=bsd_zeroholes(sb,in1);
    
    if isfield(cont,'tfstr')
        if isfield(cont.tfstr,'zeros')
            sb=bsd_zeroholes(sb);
        end
    end

    if exist('modifpost','var')
        sb=bsd_acc_modif(sb,modifpost);
    end
    if i == 1
        bsd_out=sb;
%         figure,plot(in1,sb),grid on
%         fprintf(' stds in1 sb: %f  %f\n',std(in1),std(sb))
    else
        bsd_out=conc_bsd(bsd_out,sb)
    end
    parout.stdout(i)=std(sb);
end