function [bsd_o,nsampcut]=bsd_trim(bsd_i,newt0)
% new beginning for a bsd 
%
%   bsd_i     original bsd
%   newt0     new start time
%
%   bsd_o     trimmed bsd
%   nsampcut  number of cut samples

% Snag Version 2.0 - April 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

cont=ccont_gd(bsd_i);
t0=cont.t0;
n=n_gd(bsd_i);
dt=dx_gd(bsd_i);
tt=[newt0 t0+(n-1)*dt];
tt=[newt0 t0+2*n*dt];
bsd_o=cut_bsd(bsd_i,tt);
nsampcut=round((newt0-t0)*86400/dt);