% equi_example

addr='F:';

%-------------------------------
% simple

[bsd_out,BSD_tab_out,stpar]=bsd_equilego(addr,'BSD_O3_L',0,[108 109])
figure,plot(bsd_out)

cont=cont_gd(bsd_out);
T=cont.t0;

sour=pulsar_3;
sour=new_posfr(sour,T);
bsd_corr=bsd_dopp_sd(bsd_out,sour,-1);  % doppler and spin-down correction

spec=bsd_pows(bsd_corr,2)
spmean=mean(spec)
SD=86164.09053083288;
xs=sour.f0+[-2 -1 0 1 2]/SD;
figure,semilogy(spec),plot_lines(xs,spec,'g'),grid on
ylim([spmean*0.5 spmean*200])
pause(5)
xlim(sour.f0+[-1:2:1]*30/SD)
pause(5)
xlim(sour.f0+[-1:2:1]*3/SD)

%-------------------------------
% multiant for an optimezed analysis

clear bsds_adr_tab
bsds_addr_tab(1).addr=addr;
bsds_addr_tab(1).tab='BSD_O3_L';
bsds_addr_tab(2).addr=addr;
bsds_addr_tab(2).tab='BSD_O3_H';
bsds_addr_tab(3).addr=addr;
bsds_addr_tab(3).tab='BSD_O3_V';

[parants,Dt_max]=check_bsdsstr(bsds_addr_tab); % create parants (used in bsd_multiant_equi)
parants

wband=0.5; % MAcom is default
out=bsd_multiant_equi(bsds_addr_tab,sour,wband)

% MAcom describes the way of doing things; it is created by show_multiant_equi or show_multiant_equi_full:
%  otherwise the default are used

% Interactive setting for multiant
%  previously create bsds_addr_tab and the sour (ex.: sour=pulsar_3)

show_multiant_equi

% or show_multiant_equi_full

%-------------------------------
% hardware injection management

% load the table cwinj_O3 (or cwinj_O2); it is in \Snag\projects\gw\sources\gw_ps .

pulsar=read_cwinj_table(cwinj_O3,7) % creates the pulsar 7

all_hard_inj % creates all the injected pulsars as single structures and
             % as the full collection in a cell array named puls
