function bsd_corr=NC_bsdcorr(addr,tab,band,direc)
% creates Doppler corrected bsds
%
%       bsd_corr=NC_bsdcorr(addr,ant,runame,direc)
%
%       addr,tab        as for bsd_equilego
%       band             [frini frfin] ; if length(freq) = 1 or frini=frfin
%                         the full band with frini (def ortho-band)
%       direc            direction structure ('nodirec' or 0 no correction)

% Snag Version 2.0 - Apr 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by S.Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

% bsd_out=bsd_lego(addr,ant,runame,1,band,2);
bsd_out=bsd_equilego(addr,tab,1,band);

if isstruct(direc)
    bsd_corr=bsd_dopp_sd(bsd_out,direc);
else
    bsd_corr=bsd_out;
end