function [kfrout,frout,relsf,NN,bband,dfr]=NC_fr_sampling(band,N,M,iccheck)
% frequency resampling for NC
%
%  band     [frmin frmax] e.g. [100 110]
%  N        number of samples
%  M        over-resolution factor (min & def 1, typical 6)
%  iccheck  =1 check (def 0)

if ~exist('M','var')
    M=1;
end
if ~exist('iccheck','var')
    iccheck=1;
end

NN=N*M;
bband=diff(band);
dfr=bband/N;

fr=band(1)+(0:N-1)*dfr;
Tot=sum(fr);

DFR=fr*bband/Tot;
relsf=DFR(1)/band(1);
frout=cumsum(DFR)+band(1)-DFR(1); %[i,j]=size(frout)
kfrout=round((frout-band(1))*NN/bband)+1;

if iccheck > 0
    figure,plot(fr,DFR),grid on,title('Sampling frequency'),xlabel('frequency')
    figure,plot(frout(1:N-1),diff(kfrout)),grid on,title('Sample differences'),xlabel('frequency')
    
    sum(DFR)
end