function out=bsd_show_cand(outanacand,typ,ants)
% show data produced by bsd_ana_cwcand
%
%  outanacand    typically outcw1 from inj out files
%  typ           type of show (1 data, 2 spectra, 3 sid, 4 5vec)
%  ants          ant number to plot (ex [3 1 2] or [1 2])


SD=86164.09053083288;

out.type=typ;
sour=outanacand.source;
sour.name
sour.f0
sour.df0

tab=outanacand.table;
[i1,nant]=size(tab);

if ~exist('ants','var')
    ants=1:nant;
else
    nant=length(ants);
end

for i = 1:nant
    ant{i}=outanacand.stPar{i}.ant;
end

switch typ
    case 1
        bsds=outanacand.bsdscell;
        
        figure
        for i = 1:nant
            plot(real(bsds{ants(i)}));hold on
        end
        grid on
        title(['run ' outanacand.stPar{1}.run ' - ' tit_underscore(sour.name)])
        
        figure
        for i = 1:nant
            y=real(y_gd(bsds{ants(i)}));
            k=find(abs(y));
            y=y(k);
            [h{i},x{i}]=hist(y,300);
            semilogy(x{i},h{i});hold on
        end
        grid on
        title(['run ' outanacand.stPar{1}.run ' - ' tit_underscore(sour.name)])
        out.hist_x=x;
        out.hist_h=h;
    case 2
        out=struct();
        specs=outanacand.specs;

        nant
        figure
        for i = 1:nant
            semilogy(specs{ants(i)});hold on
        end

        grid on
        xs=sour.f0+[-2 -1 0 1 2]/SD;
        plot_lines(xs,specs{1},'g--');grid on
        title(['run ' outanacand.stPar{1}.run ' - ' tit_underscore(sour.name)])
        xlabel('Hz'),ylabel('spectrum')

        pause(5)

        xlim([sour.f0-3/SD sour.f0+3/SD])

        if nant > 1
            g=specs{ants(1)}.*specs{ants(2)};
            figure,semilogy(g);grid on
            plot_lines(xs,g,'g--');

            title(['run ' outanacand.stPar{1}.run ' - ' tit_underscore(sour.name)])
            xlabel('Hz'),ylabel('product of spectra')

            pause(5)
            xlim([sour.f0-3/SD sour.f0+3/SD])

            [xlog,x,h]=histo_log(specs{ants(1)},200);title('single spectrum')
            [xlog,x,h]=histo_log(g,200);title('product')
            out.prod_xlog=xlog;
            out.prod_x=x;
            out.prod_h=h;
        end
    case 3 
        bsds=outanacand.bsdscell;
        
        for i = 1:nant
            out1{i}=bsd_sid(bsds{i},sour,48);
        end
        
        out.sidpar=out1;
        
        figure
        for i = 1:nant
            plot(out1{i}.xx,out1{i}.pow),grid on,hold on,plot(out1{i}.xx,out1{i}.pow,'r.')
        end
        title('Normalized Power'),xlabel('Local Sidereal Hours')
        
        for i = 1:nant
            figure
            plot(out1{i}.xx,out1{i}.pow),grid on,hold on,plot(out1{i}.xx,out1{i}.pow,'r.')
            title([ant{i} ' Normalized Power']),xlabel('Local Sidereal Hours')
        end
    
        figure
        for i = 1:nant
            plot(out1{i}.xx,out1{i}.win),grid on,hold on,plot(out1{i}.xx,out1{i}.win,'r.')
        end
        title('Observation window'),xlabel('Local Sidereal Hours')
    
        figure
        for i = 1:nant
            semilogy(0:20,abs(out1{i}.harm).^2/abs(out1{i}.harm(1)).^2,'x'),grid on,hold on
        end
        title('Harmonics normalized power'),xlabel('Local Sidereal Harmonics')
    case 4 
        bsds=outanacand.bsdscell;
        kk=5;
        
        for i = 1:nant
            dfr0=1/(n_gd(bsds{i})*dx_gd(bsds{i}));
    %        dfr=outanacand.stPar{1}.P_R_L_E.dfr;dfr
            frs=sour.f0+[-kk:kk]*dfr0/4;
            [v,tculm,rv]=bsd_5vec(bsds{i},frs);
            out.v{i}=v;
            out.tculm{i}=tculm;
            out.rv{i}=rv;
            V=v(:,kk+1);
            out.V{i}=V;

           figure,plot(frs,abs(v')),grid on 
           title(sprintf('abs(5v) - ant %d',i)),xlabel('Hz')
           
           out.v5n{i}=show_5vect(V,1);title(sprintf('5vec - ant %d',i))
        end
end