%PSS_Explorer   gui access to main functions

% Version 1.0 - Jul 1999
% Snag Application 
% Copyright (c) 1999  Sergio Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Universita` "La Sapienza" - Rome

%snag_local_symbols;

if exist('psspar') == 0
   psspar=pss_par('init');
end
   
figNumber1pss=figure( ...
    'Name','PSS_Explorer', ...
    'NumberTitle','off', ...
    'Color',[0.9 0.75 1],...
    'MenuBar','none',...
    'Visible','off');

strip=0.21;
dstrip=(1-4*strip)/5;

top=1-dstrip;
bottom=dstrip;
left=dstrip;
btnWid=strip*(strip-dstrip)/strip;
dbtnWid=(strip-btnWid)/2;

frHeight=top-bottom;
btnHt=frHeight/(8+9/4);
dbtnHt=btnHt/4;

%====================================
% The BASIC frame

frmPos=[0. 0. 1. 1.];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.9 0.75 0.85]);

% Spacing between the button and the next command's label
spacing=0.027;

%====================================
% The CONSOLE frame1
frmBorder=0.02;
yPos=bottom;
frmPos=[left yPos strip top-bottom];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);
 
 %ButtonCol1=[0.9 0.75 1];
 ButtonCol1=[1 1 0.7];
 ButtonCol0=[1,0.8,0.7];
 ButtonCol=ButtonCol0;
 
 yPos=top;
 
%====================================
% The PSS_PAR default button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='psspar=pss_defpar';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','PSS def par', ...
    'Callback',callbackStr);
 
%====================================
% The PSS_PAR new button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='psspar=ipss_par(psspar)';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','PSS new par', ...
    'Callback',callbackStr);
 
%====================================
% The SIM_PEAK button
btnNumber=1;
yPos=yPos-(btnHt+dbtnHt);
callbackStr=sprintf('[%s,psspar]=pss_peakmap(psspar);',psspar.tfmap.gd2name);

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol, ...
    'String','PS Peak Map', ...
    'Callback',callbackStr);

%====================================
% The SIM_PS button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='ipss_specmap';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','PS Map', ...
    'Callback',callbackStr);
 
%====================================
% The SIM_FFT button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='sim_fft';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','FFT Map', ...
    'Callback',callbackStr);

%====================================
% The HELP button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
callbackStr='web([''file:/'' psspath ''\doc\pss.htm'']);';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.6 1 0.7], ...
    'String','Help', ...
    'Callback',callbackStr);
 
%====================================
% The SNAG button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='snag';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[1 0.55 0.65], ...
    'String','Snag', ...
    'Callback',callbackStr);
 
%====================================
% The CONSOLE frame2

left=left+strip+dstrip;

frmBorder=0.02;
yPos=0.05-frmBorder;
frmPos=[left yPos strip 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);
 
 yPos=top;

%====================================
% The TABLE button
btnNumber=1;
yPos=yPos-(btnHt+dbtnHt);
callbackStr=['res=psspar.hmap.da;'...
      '[ct,mind,ndout,MinVd,StepVd,StepFi,MinD,StepD]=do_circtab(res);'...
   	'save_ct'];

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol, ...
    'String','Create Table', ...
    'Callback',callbackStr);
 
%====================================
% The HOUGH button
btnNumber=1;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='HM=pss_hough(psspar,peakmap)';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','Hough Transform', ...
    'Callback',callbackStr);
 
%====================================
% The HOUGH-LUT button
btnNumber=1;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='HM=pss_hough_lut(psspar,peakmap)';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','LUT Hough Transf.', ...
    'Callback',callbackStr);


%====================================
% The RADON button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
CallbackStr='radon';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','Radon Transform', ...
    'Callback',callbackStr);
 

%====================================
% The NON STATIONARY button
btnNumber=2;
yPos=yPos-dbtnHt;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='pss_sim_ns';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','Non-stationarity', ...
    'Callback',callbackStr);
 

%====================================
% The Multi-Pieces button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='pss_sim_mp';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','Multi-pieces', ...
    'Callback',callbackStr);

 
 
 %====================================
% The CONSOLE frame3
 
left=left+strip+dstrip;
 
frmBorder=0.02;
yPos=0.05-frmBorder;
frmPos=[left yPos strip 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);
 
 yPos=top;
 
%====================================
% The PLOT button
btnNumber=1;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='gd_plot';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','gd Plot', ...
    'Callback',callbackStr);

%====================================
% The CPLOT button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='Complex Plot';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','gd C-plot', ...
    'Callback',callbackStr);
 
%====================================
% The STAT button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='gd_stat';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','gd Stat', ...
    'Callback',callbackStr);
  
%====================================
% The SHOW TFMAP button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
%callbackStr='imap_gd2(peakmap)';
callbackStr='map_gd2(peakmap)';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','Show tfMap', ...
    'Callback',callbackStr);
 
%====================================
% The SHOW HMAP button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
%callbackStr='imap_gd2(HM);hold off';
callbackStr='map_gd2(HM);hold off';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String','Show HMap', ...
    'Callback',callbackStr);
 
%====================================
% The SNF button
btnNumber=2;
%yPos=yPos-(btnHt+dbtnHt);
%yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
callbackStr='browse_snf;';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.8 0.65 1], ...
    'String','snf files', ...
    'Callback',callbackStr);
 
%====================================
% The CONSOLE frame4
 
left=left+strip+dstrip;

frmBorder=0.02;
yPos=0.05-frmBorder;
frmPos=[left yPos strip 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);
 
 yPos=top;

%====================================
% The DB button
btnNumber=1;
yPos=yPos-(btnHt+dbtnHt);
labelStr='DataBrowser';
callbackStr='data_browser';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String',labelStr, ...
    'Callback',callbackStr);

%====================================
% The APPLIC button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
labelStr='Applications';
callbackStr='uiapplication';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String',labelStr, ...
    'Callback',callbackStr);
 
%====================================
% The DEMO button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
labelStr='Demo';
callbackStr='uidemo';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',ButtonCol1, ...
    'String',labelStr, ...
    'Callback',callbackStr);
  
% Now uncover the figure
set(figNumber1pss,'Visible','on');



