function astr=astrolabe(antenna,N)
% gravitational astrolabe
%
%    N     dimension (def 200)

% Version 2.0 - March 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by Sergio Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

if ~exist('N','var')
    N=200;
end

nord1=zeros(2*N,N);
sud1=nord1;

dx=180/N;
dy=90/N;

x1=(0:2*N-1)*dx;
y1=(0:N-1)*dy;

sournord.eps=0;
sournord.psi=0;
soursud=sournord;

sournordp.eps=0;
sournordp.psi=1;
sournordc.eps=45;
sournordc.psi=1;


for i = 1:2*N
    sournord.a=x1(i);
    sournordp.a=x1(i);
    sournordc.a=x1(i);
    soursud.a=x1(i);
    for j = 1:N
        sournord.d=y1(j);
        sournordp.d=y1(j);
        sournordc.d=y1(j);
        soursud.d=-y1(j);
%         nord1(i,j)=radpat_interf(sournord,antenna,0);
%         nord1p(i,j)=radpat_interf(sournordp,antenna,0);
%         nord1c(i,j)=radpat_interf(sournordc,antenna,0);
%         sud11(i,j)=radpat_interf(soursud,antenna,0);
        nord1(i,j)=lin_radpat_interf(sournord,antenna,0);
        nord1p(i,j)=lin_radpat_interf(sournordp,antenna,0);
        nord1c(i,j)=lin_radpat_interf(sournordc,antenna,0);
        sud11(i,j)=lin_radpat_interf(soursud,antenna,0);
    end
end

astr.nord1=gd2(nord1);
astr.nord1=edit_gd2(astr.nord1,'dx',dx,'dx2',dy);
astr.nord1p=gd2(nord1p);
astr.nord1p=edit_gd2(astr.nord1p,'dx',dx,'dx2',dy);
astr.nord1c=gd2(nord1c);
astr.nord1c=edit_gd2(astr.nord1c,'dx',dx,'dx2',dy);
astr.sud1=gd2(sud1);
astr.sud1=edit_gd2(astr.sud1,'dx',dx,'dx2',-dy);