function radpat=pss_radpat(ant,Nalph,deltas)
% radiation pattern
%
%   ant     antenna
%   Nalph   number of points for right ascension
%   deltas  declinations (degs); if single, number of points in 0:90

% Version 2.0 - March 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by Sergio Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

ldelt=length(deltas);
if ldelt == 1
    nd=deltas;
    dd=90/nd;
    deltas=dd*(0:nd-1);
end
nd=length(deltas);

radpat.plus=zeros(Nalph,nd);
radpat.cross=radpat.plus;

sour.a=0;
sour.d=0;
sour.eta=0;

for j = 1:nd
    sour.d=deltas(j);
    sour.psi=0;
    plus=pss_sidpat(sour,ant,Nalph,0);
    plus=y_gd(plus);
    radpat.plus(1:Nalph,j)=plus;
    sour.psi=45;
    cross=pss_sidpat(sour,ant,Nalph,0);
    cross=y_gd(cross);
    radpat.cross(1:Nalph,j)=cross;
    radpat.circ=(plus+cross)/2;
end

radpat.image(:,:,1)=radpat.plus;
radpat.image(:,:,3)=radpat.cross;
radpat.image(:,:,2)=radpat.image(:,:,1)+radpat.image(:,:,3);

radpat.plus=gd2(radpat.plus);
if ldelt == 1
    radpat.plus=edit_gd2(radpat.plus,'dx',360/Nalph,'dx2',dd);
else
    radpat.plus=edit_gd2(radpat.plus,'dx',360/Nalph,'ini2',1);
end
radpat.cross=gd2(radpat.cross);
if ldelt == 1
    radpat.cross=edit_gd2(radpat.cross,'dx',360/Nalph,'dx2',dd);
else
    radpat.cross=edit_gd2(radpat.cross,'dx',360/Nalph,'ini2',1);
end
radpat.circ=(radpat.plus+radpat.cross)/2;
