function mjd=GW2mjd(GW)
% extracts MJD from the event name
%
%   GW   event name (form GWdddddd_tttttt or GWdddddd_tttttt_sss..)

% Snag Version 2.0 - February 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

 A=sscanf([GW(3:8) GW(10:15)],'%2d');
 
 lGW=length(GW);
 dt=0;
 if lGW > 16
     dt=sscanf(GW(17:lGW),'%d')/10^(lGW-16)
 end
 
 A(1)=A(1)+2000;
 mjd=v2mjd(A)+dt/86400;