function [zerout,win,hol,hed,lhed]=AND_zer(zerin,len,lim)
% AND of zeros arrays
%
%   zerin data are arrays of dimension (n,2) containing [start stop] zeroed interval
%
%    zerin   cell array with zeros data
%    len     files length in s
%    lim     max number of non-zero bsd to zero data (def 0)

% Version 2.0 - November 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas

lim0=1;
if ~exist('lim','var')
    lim=lim0;
end

nfil=length(zerin);
win=ones(len,1)*nfil;

for i = 1:nfil
    zer=zerin{i};
    [nr,~]=size(zer);
    for j = 1:nr
        win(zer(j,1):zer(j,2))=win(zer(j,1):zer(j,2))-1;
    end
end

hol=find(win <= lim);
if length(hol) > 0
    maxhol=max(hol);
    dif=diff(hol)-1;
    hed=find(dif);
    lhed=length(hed);
    
    zerout(1,1)=hol(1);
    
    for i = 1:lhed
        zerout(i+1,1)=hol(hed(i)+1);
    end
    for i = 1:lhed
        zerout(i,2)=hol(hed(i));
    end
    zerout(lhed+1,2)=maxhol;
else
    disp('No holes')
end
    