%DA_STAT  statistics of double arrays

% Version 1.0 - July 1998
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% Copyright (c) 1998  Sergio Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Universita` "La Sapienza" - Rome

h0scra = figure('Color',[0.8 0.8 0.8], ...
   'Name','double arrays Statistics',...
	'Position',[232 288 560 420]);
h1scra = axes('Parent',h0scra, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);

listdoublearray;

nmenu=doubleol.n;
gdmenuh=uimenu(h0scra,'label','double array');
nphIst=0;
icdefhist=0;

for i = 1:nmenu
   gdsscra=doubleol.name{i};
   gdcom=strcat('ystat=',gdsscra,';',...
      'if icdefhist == 0;[yfig,xfig]=hist(ystat,200);',...
      'elseif icdefhist == 1;xsTat=histdlg(ystat);',...
        '[yfig,xfig]=hist(ystat,xsTat);',...
      'elseif icdefhist == 2;',...
        '[yfig,xfig]=hist(ystat,xsTat);',...
      'end;',...
      'nphIst=nphIst+1;tcol=rotcol(nphIst);',...
      '[Xfig,Yfig]=tostairs(xfig,yfig);mystat=mean(ystat);stystat=std(ystat);',...
      'mstr=sprintf(''%g'',mystat);sstr=sprintf(''%g'',stystat);',...
      'disp([''  mean = '',mstr,'', st.dev. = '',sstr]);',...
      'h2scra = line(''Parent'',h1scra,''Color'',tcol,''XData'',Xfig,''YData'',Yfig);');
   uimenu(gdmenuh,'label',gdsscra,'callback',gdcom);
end

contmenuh=uimenu(h0scra,'label','Control');

uimenu(contmenuh,'label','new parameters','callback','hold off;icdefhist=1;');
uimenu(contmenuh,'label','hold parameters','callback','icdefhist=2;');
uimenu(contmenuh,'label',' ');
uimenu(contmenuh,'label','zoom on','callback','zoom on;');
uimenu(contmenuh,'label','zoom off','callback','zoom off;');
uimenu(contmenuh,'label','grid on','callback','grid on;');
uimenu(contmenuh,'label','grid off','callback','grid off;');

contmenuh2=uimenu(h0scra,'label','Other');

uimenu(contmenuh2,'label','print postscript','callback','printps;');
